{ pkgs, ... }: {
	wayland.windowManager.hyprland = {
		enable = true;
		package = pkgs.hyprland;
		portalPackage = pkgs.xdg-desktop-portal-hyprland;
		xwayland.enable = true;
		settings = {
			autogenerated = 0;
      monitor = [
        "HDMI-A-1, 1920x1080@100, 0x0, 1"
      ];

			exec-once = [ 
			  "hyprpaper" 
				"hyprctl setcursor Adwaita 24"
				"eww open bar"
        "rm menu.file" # Заглушка для опознания работы меню
			];

			env = [
			  "XCURSOR_SIZE,24"
			  "HYPRCURSOR_SIZE,24"
			  "QT_QPA_PLATFORMTHEME,qt6ct"
			  "XDG_CURRENT_DESKTOP='Hyprland'"
			  "XDG_SESSION_TYPE='wayland'"
			  "XDG_SESSION_DESKTOP='Hyprland'"
			  "QT_AUTO_SCREEN_SCALE_FACTOR='1'"
			  "QT_QPA_PLATFORM='wayland'"
			  "QT_QPA_PLATFORMTHEME='gtk3'"
				"LIBVA_DRIVER_NAME,nvidia"
				"__GLX_VENDOR_LIBRARY_NAME,nvidia"
				"NVD_BACKEND,direct"
			];

        #ignorezero, eww-bar

			general = {
				gaps_in = 15;
				gaps_out = 30;

				border_size = 0;

				resize_on_border = true;
				allow_tearing = true;
				layout = "dwindle";
			};

			decoration = {
				rounding = 15;
				rounding_power = 2;

				active_opacity = 1.0;
				inactive_opacity = 1.0;

				shadow = {
					enabled = true;
					range = 4;
					render_power = 3;
					color = "rgb(000000)";
				};

				blur = {
					enabled = true;
					size = 6;
					passes = 3;

					vibrancy = 0.3;
          vibrancy_darkness = 0.3;
          noise = 0.0;
          contrast = 1.0;
          brightness = 1.0;

          popups = true;
          popups_ignorealpha = 0.4;
          input_methods = true;
          input_methods_ignorealpha = 0.4;
				};
			};

			animations = {
			  enabled = "yes, please :)";

				bezier = [
					"easeOutQuint,0.23,1,0.32,1"
					"easeInOutCubic,0.65,0.05,0.36,1"
					"linear,0,0,1,1"
					"almostLinear,0.5,0.5,0.75,1.0"
					"quick,0.15,0,0.1,1"
				];

				animation = [
		      "global, 1, 10, default"
		      "border, 1, 5.39, easeOutQuint"
		      "windows, 1, 4.79, easeOutQuint"
				  "windowsIn, 1, 4.1, easeOutQuint, popin 87%"
				  "windowsOut, 1, 1.49, linear, popin 87%"
				  "fadeIn, 1, 1.73, almostLinear"
					"fadeOut, 1, 1.46, almostLinear"
					"fade, 1, 3.03, quick"
					"layers, 1, 3.81, easeOutQuint"
					"layersIn, 1, 4, easeOutQuint, fade"
					"layersOut, 1, 1.5, linear, fade"
					"fadeLayersIn, 1, 1.79, almostLinear"
					"fadeLayersOut, 1, 1.39, almostLinear"
					"workspaces, 1, 1.94, almostLinear, fade"
					"workspacesIn, 1, 1.21, almostLinear, fade"
					"workspacesOut, 1, 1.94, almostLinear, fade"
				];
			};

			dwindle = {
				pseudotile = true;
				preserve_split = true;
			};

			layerrule = [ "ignorezero, wofi" "ignorealpha 0.5, wofi" "ignorezero, gtk-layer-shell" ];
      blurls = [ "gtk-layer-shell" ];
      windowrulev2 = [ "float, workspace:5" ];

			misc = {
				force_default_wallpaper = 0;
				disable_hyprland_logo = true;
			};

			input = {
				kb_layout = "us,ru";
			  kb_options = "grp:alt_shift_toggle";
			  follow_mouse = 1;
				sensitivity = 1.3;
			};

			"$mod" = "SUPER";

			bindm = [
				"$mod, mouse:272, movewindow"
				"$mod, mouse:273, redizewindow"
			];

			bind = [
				"alt, l, exec, eww open lock-dialog"
				"alt, g, exec, eww close bar"
				"alt, m, exec, eww open bar"

				"$mod shift, q, exit"
				"$mod ctrl, r, exec, eww open reboot-dialog"
				"$mod ctrl, q, exec, eww open off-dialog"
				"alt, l, exec, eww open lock-dialog-zopa"

				"$mod, c, killactive,"
				"$mod, s, togglefloating,"
				"$mod, t, pseudo,"
				"$mod, g, togglesplit"

				"alt, space, exec, rofi -show drun -config /home/fox/conf/home/desktop/rofi_config.rasi"
				"$mod alt, g, exec, /home/fox/.config/eww/show.sh bar"
				"alt, s, exec, grim $(xdg-user-dir PICTURES)/$(date +'%s_grim.png')"

				"$mod, 1, workspace, 1"
				"$mod, 2, workspace, 2"
				"$mod, 3, workspace, 3"
				"$mod, 4, workspace, 4"
				"$mod, 5, workspace, 5"
				"$mod, 6, workspace, 6"

				"$mod SHIFT, 1, movetoworkspace, 1"
				"$mod SHIFT, 2, movetoworkspace, 2"
				"$mod SHIFT, 3, movetoworkspace, 3"
				"$mod SHIFT, 4, movetoworkspace, 4"
				"$mod SHIFT, 5, movetoworkspace, 5"
				"$mod SHIFT, 6, movetoworkspace, 6"

				"$mod, mouse_down, workspace, e+1"
				"$mod, mouse_up, workspace, e-1"
			];
		};
	};
}
